unit Unit2;

interface
uses StdCtrls,SysUtils;
Type fun=function(x:extended):extended;
procedure Tabl(f:fun;xn,xk:extended;m:word;Memo1:Tmemo);
implementation
procedure Tabl;
var x,y,h:extended; i:integer;
begin
x:=Xn; h:=(Xn-Xk)/m;
for i:=1 to m+1 do begin
y:=f(x);
Memo1.Lines.Add('x='+FloatToStrF(x,fffixed,8,3)+
'y='+floatToSTrF(y,fffixed,8,3));
x:=x+h;
end;
end;
end.
